package cn.com.countrygarden.bi.main.dto.districtReport;

import java.math.BigDecimal;

public class RdprojectInformationSummaryDTO {

    private String regionCode;

    private String regionName;

    private String commId;

    private String commName;

    private String districtName;

    private String planArea;//规划区域

    private String developmentSubject;//项目开发主体

    private BigDecimal residentialArea;//住宅用地面积

    private BigDecimal publicArea;//公建用地面积

    private BigDecimal roadArea;//道路用地面积

    private BigDecimal greenArea;//绿地用地面积

    private Integer houseQuantity;//住宅数量

    private Integer commercialAuantity;//商业数量

    private Integer parkeNumber;//车位数量

    private Integer otherQuantity;//其他数量

    private BigDecimal totalResidentialArea;//住宅总面积

    private BigDecimal totalCommercialArea;//商业总面积

    private BigDecimal totalParkingArea;//车位总面积

    private BigDecimal otherTotalArea;//其他总面积

    private String volumeRate;//容积率

    public String getCommId() {
        return commId;
    }

    public void setCommId(String commId) {
        this.commId = commId;
    }

    public String getCommName() {
        return commName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    public String getPlanArea() {
        return planArea;
    }

    public void setPlanArea(String planArea) {
        this.planArea = planArea;
    }

    public String getDevelopmentSubject() {
        return developmentSubject;
    }

    public void setDevelopmentSubject(String developmentSubject) {
        this.developmentSubject = developmentSubject;
    }

    public BigDecimal getResidentialArea() {
        return residentialArea;
    }

    public void setResidentialArea(BigDecimal residentialArea) {
        this.residentialArea = residentialArea;
    }

    public BigDecimal getPublicArea() {
        return publicArea;
    }

    public void setPublicArea(BigDecimal publicArea) {
        this.publicArea = publicArea;
    }

    public BigDecimal getRoadArea() {
        return roadArea;
    }

    public void setRoadArea(BigDecimal roadArea) {
        this.roadArea = roadArea;
    }

    public BigDecimal getGreenArea() {
        return greenArea;
    }

    public void setGreenArea(BigDecimal greenArea) {
        this.greenArea = greenArea;
    }

    public Integer getHouseQuantity() {
        return houseQuantity;
    }

    public void setHouseQuantity(Integer houseQuantity) {
        this.houseQuantity = houseQuantity;
    }

    public Integer getCommercialAuantity() {
        return commercialAuantity;
    }

    public void setCommercialAuantity(Integer commercialAuantity) {
        this.commercialAuantity = commercialAuantity;
    }

    public Integer getParkeNumber() {
        return parkeNumber;
    }

    public void setParkeNumber(Integer parkeNumber) {
        this.parkeNumber = parkeNumber;
    }

    public Integer getOtherQuantity() {
        return otherQuantity;
    }

    public void setOtherQuantity(Integer otherQuantity) {
        this.otherQuantity = otherQuantity;
    }

    public BigDecimal getTotalResidentialArea() {
        return totalResidentialArea;
    }

    public void setTotalResidentialArea(BigDecimal totalResidentialArea) {
        this.totalResidentialArea = totalResidentialArea;
    }

    public BigDecimal getTotalCommercialArea() {
        return totalCommercialArea;
    }

    public void setTotalCommercialArea(BigDecimal totalCommercialArea) {
        this.totalCommercialArea = totalCommercialArea;
    }

    public BigDecimal getTotalParkingArea() {
        return totalParkingArea;
    }

    public void setTotalParkingArea(BigDecimal totalParkingArea) {
        this.totalParkingArea = totalParkingArea;
    }

    public BigDecimal getOtherTotalArea() {
        return otherTotalArea;
    }

    public void setOtherTotalArea(BigDecimal otherTotalArea) {
        this.otherTotalArea = otherTotalArea;
    }

    public String getVolumeRate() {
        return volumeRate;
    }

    public void setVolumeRate(String volumeRate) {
        this.volumeRate = volumeRate;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }
}
